REPlica DiSTRibuted code not compiled.

svn: E155036: 工作副本 '/home/zwei/softwares/tmp/my_c37a2' 格式太旧 (格式 8, Subversion 1.4 创建)

sudo svn upgrade

install svnversion on centos 6

Thanks to Wandisco, which is maintaining the rpm packages for latest Subversion version. This article will help you to Install Subversion-1.8.9 ( SVN Client ) on CentOS/RHEL 7/6/5 Systems. If you want to configure Subversion server visit this article.

Step 1: Setup Yum Repository

Firstly we need to configure yum repository in our system. Create a new repo file/etc/yum.repos.d/wandisco-svn.repo and add following content as per your operating system version.

For CentOS/RHEL 7 Users:

name=Wandisco SVN Repo

For CentOS/RHEL 6 Users:

name=Wandisco SVN Repo

For CentOS/RHEL 5 Users:

name=Wandisco SVN Repo

Step 2: Install Subversion Package

After adding above repository, install Subversion package using yum command line package manager utility.

# yum clean all
# yum install subversion

In case you face any issues with existing installed subversion, remove that and try again with above commands.

Step 3: Verify Subversion Version

At this stage you have successfully install Subversion client on your system. Lets use following command to verify version of svn client.

# svn --version

svn, version 1.8.13 (r1667537)
   compiled Apr  2 2015, 15:54:41 on i686-pc-linux-gnu

Copyright (C) 2014 The Apache Software Foundation.
This software consists of contributions made by many people;
see the NOTICE file for more information.
Subversion is open source software, see


install charmm with mpi support

yum install mpich(fedora, centos)

and set up path to mpif90 gnu xxlarge M mpif90 +REPDSTR +ASYNC_PME +GENCOMM [+MSCALE]

see also:CHARMM C37b1 repdstr.doc

 As of CHARMM version c37a2, replica exchange in pH space is also
supported. This uses the formalism described in the reference given in
consph.doc. The CONSPH key word must be in pref.dat along with REPDSTR
to activate this functionality.

if cannot find mpi.mod, make sure you install gcc-gfortran (maybe gcc-c++ too)first then install mpich. Or copy  /usr/lib64/gfortran/modules/mpich/* to /usr/include/mpich-x86_64/

Getting started with CHARMM.



compile charmm with GPU

./ gpu huge M mpif90

nvcc fatal   : Value 'sm_11' is not defined for option 'gpu-architecture'

reason:new CUDA does not support sm_1x any more.
find . -name "*"|xargs grep "sm_11"

vi ./c37a2/tool/gpu/rs/Makefile

#NVCC_FLAGS += -arch sm_11

NVCC_FLAGS += -arch sm_20

vi ./c37a2/too/gpu/pme/Makefile

#       $(NVCC) --host-compilation C -cuda -arch sm_12 --ptxas-options=-v $(CUDAINCLUDES) -o $@ $<
          $(NVCC) --host-compilation C -cuda -arch sm_20 --ptxas-options=-v $(CUDAINCLUDES) -o $@ $<


/lib64/ error adding symbols: DSO missing from command line

vi  ./tool/gpu/pme/Makefile

add "-lpthread" to  LIBGPU== $(LIBMD3WITHG80)\

vi ./tool/gpu/rs/Makefile

add "-lpthread" to "CUDALIB"=-L$(CUDA_INSTALL_PATH)/lib64 -lpthread -lcudart -lGLU -lGL -lm

-L$(CUDA_INSTALL_PATH)/lib64 -lpthread -lcuda -lcudart -lGL -lGLU -lm -lcufft

vi ./too/gpu/rs/Mkaefile

add "-lpthread" to

CUDALIB = -L$(CUDA_INSTALL_PATH)/lib64 -lpthread -lcudart -lGLU -lGL -lm

/usr/bin/ld : cannot find -lGLU

fix: dnf install mesa-libGLU-devel

/usr/bin/ld: cannot find -lGL

reason:/usr/lib64/ -> link)

fix: ln -sfn

If you want to rebuild charmm , delete ./build/xxx(gnu_M, gpu_M, gnu...) and run "make clean" in ./tool/gpu/pme/ and ./tool/gpu/rs/